commit:     3e1140cbc668279692cde3ae501924972181c622
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 24 18:16:30 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Jun 24 18:17:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e1140cb

app-admin/salt-3003.1: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-admin/salt/Manifest                      |   1 +
 app-admin/salt/files/salt-3003.1-tests.patch |  25 ++++
 app-admin/salt/salt-3003.1.ebuild            | 198 +++++++++++++++++++++++++++
 3 files changed, 224 insertions(+)

diff --git a/app-admin/salt/Manifest b/app-admin/salt/Manifest
index cc3b4f7d734..18c86563686 100644
--- a/app-admin/salt/Manifest
+++ b/app-admin/salt/Manifest
@@ -3,4 +3,5 @@ DIST salt-3000.8.tar.gz 15249139 BLAKE2B 
df306669ba11dd650621222ff9c69f5a6e16b6f
 DIST salt-3000.9.tar.gz 15250432 BLAKE2B 
b76c166363b0b0fd3e3aa4b5306ba8280a2c99fbc7fd9866d957406bba8e6fcc03b769b53dbb80b115f9fa9f1fdc93e1eb257f4bf04283e414a309c16e4f078f
 SHA512 
94214f20a8a080ebdcbb7e3351f60a466c3a92cc85d177c2ea677192a63e58b0f9cacfb1af04e14022a7ac570ebd0b931722d1d001a7655dcd7502813c29a092
 DIST salt-3001.6.tar.gz 15736056 BLAKE2B 
00e7674452e9d61c3cd487d27a3a1f3435c6b12dcc89008aa63c96814957b6ce8654f4d4d51dbce7b14027f0cee66fd2ea9602f6be18bf2f4beac11ae164f89f
 SHA512 
e45c9cfddb64ab1c9d66b6b6b3e5ff8d9010c01307161e5013140b4362ee630cf912ab153d1afa72f56d18fc5353293b2f4b449caf8ee384d1e93204d490bf4c
 DIST salt-3002.5.tar.gz 15784880 BLAKE2B 
baa90bb0caea572dfbe12d92fb488ee0c4adef9a07221f394009cd43a62ffef18c57f2e7cdcfcd923807c7a3d02ce6833480f74d70250c29d311420f30514300
 SHA512 
dda2caa338f646ec51d2de6b0df10fbb27eceddbe8c797ae192b9ef1312d566ae71a243a3a95918fa375b125089aa29a73b1b908c5cc1b0451dccb582a4978a1
+DIST salt-3003.1.tar.gz 16010476 BLAKE2B 
3cd141061d8fa6ad00fe60615e8d36fda9fb26264adb2722d34e0b93c626fe09d78c3b9280ad8fe98924469a1ede1ad93cc06bde24a121c3db8c957be0ab7d75
 SHA512 
bf5ec7f1d16c776be5c2e90bff30e11817f369c3b08c0fe8bd991e7be31179b10cbd244048fb08c05aff30d7b6037c0575c311da4a0f300ce02bcf677aa6616f
 DIST salt-3003.tar.gz 15830910 BLAKE2B 
ea4f02eece951c3fb4fcc480d00f7b531ac549b2e23ff9a210b73f749f9ba83e0402e02a59028f41f94958d17512e417b7c1b7015e8ee3aeac55be9b1374fe6f
 SHA512 
7f631466372f303c03f2852a5cfba1ee5c6ba1636a6fe1e1622e90d0b1376ef9f670aa1b4754f3d9c8c7fe1b99fe1b4c49e140dc86d90d157a1ec1e73ba43c38

diff --git a/app-admin/salt/files/salt-3003.1-tests.patch 
b/app-admin/salt/files/salt-3003.1-tests.patch
new file mode 100644
index 00000000000..9749730ddb0
--- /dev/null
+++ b/app-admin/salt/files/salt-3003.1-tests.patch
@@ -0,0 +1,25 @@
+diff --git a/tests/integration/files/file/base/_modules/runtests_helpers.py 
b/tests/integration/files/file/base/_modules/runtests_helpers.py
+index 3ee0e2da5f..abf9b71431 100644
+--- a/tests/integration/files/file/base/_modules/runtests_helpers.py
++++ b/tests/integration/files/file/base/_modules/runtests_helpers.py
+@@ -27,7 +27,7 @@ except ImportError:
+         else "/tmp"
+     )
+     # This tempdir path is defined on tests.integration.__init__
+-    TMP = os.path.join(SYS_TMP_DIR, "salt-tests-tmpdir")
++    TMP = os.path.join(SYS_TMP_DIR, "salt-t")
+ 
+     class RUNTIME_VARS:
+         TMP = TMP
+diff --git a/tests/unit/ext/test_ipaddress.py 
b/tests/unit/ext/test_ipaddress.py
+index 4fd87d1c3f..43306ba8f4 100644
+--- a/tests/unit/ext/test_ipaddress.py
++++ b/tests/unit/ext/test_ipaddress.py
+@@ -137,6 +137,7 @@ class CommonTestMixin:
+ 
+ 
+ class CommonTestMixin_v4(CommonTestMixin):
++    @pytest.mark.skipif(sys.hexversion >= 0x03090000, reason="leading zeros 
disallowed in 3.9+")
+     def test_leading_zeros(self):
+         self.assertInstancesEqual("000.000.000.000", "0.0.0.0")
+         self.assertInstancesEqual("192.168.000.001", "192.168.0.1")

diff --git a/app-admin/salt/salt-3003.1.ebuild 
b/app-admin/salt/salt-3003.1.ebuild
new file mode 100644
index 00000000000..fe9927cb461
--- /dev/null
+++ b/app-admin/salt/salt-3003.1.ebuild
@@ -0,0 +1,198 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit systemd distutils-r1
+
+DESCRIPTION="Salt is a remote execution and configuration manager"
+HOMEPAGE="https://www.saltstack.com/resources/community/
+       https://github.com/saltstack";
+
+if [[ ${PV} == 9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
+       EGIT_BRANCH="develop"
+       SRC_URI=""
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
+       mongodb neutron nova openssl portage profile redis selinux test raet
+       +zeromq vim-syntax"
+
+RDEPEND="
+       sys-apps/pciutils
+       >=dev-python/distro-1.5[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/libnacl[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/markupsafe[${PYTHON_USEDEP}]
+       >=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/toml-0.10.2[${PYTHON_USEDEP}]
+       dev-python/watchdog[${PYTHON_USEDEP}]
+       libcloud? ( >=dev-python/libcloud-2.5.0[${PYTHON_USEDEP}] )
+       mako? ( dev-python/mako[${PYTHON_USEDEP}] )
+       ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
+       libvirt? (
+               $(python_gen_cond_dep 
'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_8)
+       )
+       openssl? (
+               dev-libs/openssl:0=[-bindist(-)]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+       )
+       raet? (
+               >=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
+               >=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
+       )
+       cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
+       cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
+       genshi? ( dev-python/genshi[${PYTHON_USEDEP}] )
+       mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+       portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
+       keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
+       redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
+       selinux? ( sec-policy/selinux-salt )
+       nova? (
+               $(python_gen_cond_dep 
'>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_8)
+       )
+       neutron? (
+               $(python_gen_cond_dep 
'>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_8)
+       )
+       gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
+       profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
+       vim-syntax? ( app-vim/salt-vim )
+       zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               >=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
+               >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+               dev-python/mako[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
+               dev-python/pip[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               >=dev-python/pytest-salt-factories-0.121.1[${PYTHON_USEDEP}]
+               dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+               dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+               dev-python/pytest-subtests[${PYTHON_USEDEP}]
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/libcloud[${PYTHON_USEDEP}]
+               >=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
+               !x86? ( >=dev-python/boto3-1.3.15[${PYTHON_USEDEP}] )
+       )"
+
+DOCS=( README.rst AUTHORS )
+
+REQUIRED_USE="|| ( raet zeromq )
+       test? ( cheetah genshi )"
+RESTRICT="!test? ( test ) x86? ( test )"
+
+PATCHES=(
+       "${FILESDIR}/salt-3003-skip-tests-that-oom-machine.patch"
+       "${FILESDIR}/salt-3003-gentoolkit-revdep.patch"
+       "${FILESDIR}/salt-3002-tests.patch"
+       "${FILESDIR}/salt-3003-tests.patch"
+       "${FILESDIR}/salt-3003.1-tests.patch"
+)
+
+python_prepare_all() {
+       # remove tests with external dependencies that may not be available, and
+       # tests that don't work in sandbox
+       rm tests/unit/{test_{zypp_plugins,module_names},utils/test_extend}.py 
|| die
+       rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
+       rm tests/unit/states/test_boto_vpc.py || die
+       rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die
+       rm tests/pytests/functional/transport/server/test_req_channel.py || die
+
+       # tests that require network access
+       rm tests/unit/{states,modules}/test_zcbuildout.py || die
+       rm -r tests/integration/cloud || die
+       rm -r tests/kitchen/tests/wordpress/tests || die
+       rm tests/kitchen/test_kitchen.py || die
+       rm tests/unit/modules/test_network.py || die
+
+       # tests require root access
+       rm tests/integration/pillar/test_git_pillar.py || die
+       rm tests/integration/states/test_supervisord.py || die
+       rm tests/pytests/unit/client/test_ssh.py || die
+
+       # make sure pkg_resources doesn't bomb because pycrypto isn't installed
+       find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; 
/pycryptodomex/ d' -i || die
+       # pycryptodome rather than pycryptodomex
+       find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 
's:Cryptodome:Crypto:g' -- || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_prepare() {
+       einfo "Fixing collections.abc warnings for ${EPYTHON}"
+       local abc
+       abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c 
in dir(collections.abc) if not c.startswith("_"))))')" || die
+       find -name '*.py' -type f -print0 | xargs -0 sed -r -e 
"s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
+}
+
+python_install_all() {
+       local svc
+       USE_SETUPTOOLS=1 distutils-r1_python_install_all
+
+       for svc in minion master syndic api; do
+               newinitd "${FILESDIR}"/${svc}-initd-5 salt-${svc}
+               newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
+               systemd_dounit "${FILESDIR}"/salt-${svc}.service
+       done
+
+       insinto /etc/${PN}
+       doins -r conf/*
+}
+
+python_test() {
+       # testsuite likes lots of files
+       ulimit -n 4096 || die
+
+       # ${T} is too long a path for the tests to work
+       local TMPDIR
+       TMPDIR="$(mktemp --directory --tmpdir=/tmp ${PN}-XXXX)"
+       (
+               export TMPDIR
+               cleanup() { rm -rf "${TMPDIR}" || die; }
+
+               trap cleanup EXIT
+
+               addwrite "${TMPDIR}"
+
+               USE_SETUPTOOLS=1 NO_INTERNET=1 SHELL="/bin/bash" \
+                       "${EPYTHON}" -m pytest -vv \
+                       || die "testing failed with ${EPYTHON}"
+       )
+}
+
+pkg_postinst() {
+       if use python_targets_python3_8; then
+               if use nova; then
+                       ewarn "Salt's nova functionality will not work with 
python3.8 since"
+                       ewarn "dev-python/python-novaclient does not support it 
yet"
+               fi
+               if use neutron; then
+                       ewarn "Salt's neutron functionality will not work with 
python3.8 since"
+                       ewarn "dev-python/python-neutronclient does not support 
it yet"
+               fi
+               if use libvirt; then
+                       ewarn "Salt's libvirt functionality will not work with 
python3.8 since"
+                       ewarn "dev-python/libvirt-python does not support it 
yet"
+               fi
+       fi
+}

Reply via email to